
%define beta	%nil

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define	libname_devel %mklibname %{name} %{libmajor} -d

#define iscanversion 2.28.1
# # Source-url: http://support.epson.net/linux/src/scanner/iscan/iscan_%version-%rel.tar.gz
%define iscanversion 2.30.4

%define _exclude_files_from_autoprov  %{_libdir}/%{name}/
%define __libtoolize /bin/true

%define empty_dll_conf 0

%define gphoto2_support 1
%define v4l_support 1
%define primax_support 1
%define epkowa_support 0

Name:		sane
Version:	1.2.1
Release:	%mkrel 1
Summary:	SANE - local and remote scanner access
URL:		http://www.sane-project.org/
Source:		ftp://ftp.sane-project.org/pub/sane/sane-%{version}/sane-backends-%{version}%{beta}.tar.xz
Source3:	http://belnet.dl.sourceforge.net/sourceforge/px-backend/primaxscan-1.1.beta1.tar.bz2
Source5:	saned-xinetd
Source9:	http://heanet.dl.sourceforge.net/sourceforge/hp44x0backend/sane_hp_rts88xx-0.18.tar.bz2
Source10:	http://heanet.dl.sourceforge.net/sourceforge/brother-mfc/sane-driver-0.2.tar.bz2
Source11:	http://www.geocities.com/trsh0101/SANE/primascan.h
Source12:	http://www.geocities.com/trsh0101/SANE/primascan.c
# old   iscan-%{iscanversion}-3-free.tar.bz2
Source13:	iscan-%{iscanversion}-2-free.tar.bz2
Source14:	http://downloads.sourceforge.net/project/geniusvp2/sane-backend-geniusvp2/1.0.16.1/sane-backend-geniusvp2_1.0.16.1.tar.gz
Patch0:		sane-backends-1.0.19-fix-str-fmt.patch
Patch1:		sane-backends-1.0.18-plustek-s12.patch
Patch22:	iscan-2.28.1-fix-preserving-lc_ctype.patch
# old Patch23:	iscan-2.28.1-fix-link.patch
Patch23:	iscan-2.30.4-fix-link.patch
Patch24:	sane-backends-1.0.21-link.patch
Patch26:	iscan-2.20.1-no_non-free_please.diff
Patch27:	iscan-2.28.1-linkage_fix.patch
Patch28:	sane-backends-1.0.20-group.patch
Patch29:	sane-backends-1.0.21-primascan.patch
Patch30:	sane-backends-1.0.22-brother2list.patch
Patch31:	sane-backends-1.0.20-strformat.patch
Patch32:	sane-backends-1.0.22-fix-str-fmt.patch
Patch34:	sane-1.0.24-primaxscan-gcc5.patch
Patch35:	sane-backends-1.0.25-udev-add-lp-group-rw.patch

Patch51:	sane-1.0.24-systemd-configure-flag.patch

#01_missing_pthreads.dpatch
Patch101:	01_missing_pthreads-1.2.1.dpatch

Patch106:	06_cap_always_settable.dpatch
Patch109:	09_po_update_es_add_gl.dpatch
###Patch115:	24_sane-desc.c_debian_mods-new.dpatch
Patch202:	sane-backends-1.0.20-open-macro.patch
Patch203:	sane-backends-1.0.25-udev.patch
Patch204:	sane-backends-canon-lide-100.patch
Patch205:	sane-backends-revert-samsung-patch.patch

# new since 1.1.1
# Fedora-specific (for now): don't use the same SONAME for backend libs and main lib
Patch301:	sane-backends-1.0.23-soname.patch
# Fedora-specific (for now): make installed sane-config multi-lib aware again
Patch302:	sane-backends-1.0.23-sane-config-multilib.patch

License: 	GPLv2+ and GPLv2+ with exceptions and Public Domain
Group:		Graphics
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(gusb)
#libusb-devel
BuildRequires:	libieee1284-devel
BuildRequires:	libltdl-devel
BuildRequires:	texlive
BuildRequires:	texlive-texmf
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	libgtk+2.0-devel
#
BuildRequires:	pkgconfig(lbxutil)
# since 1.2.1
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(netsnmp)
BuildRequires:	pkgconfig(poppler-glib)

%if %{gphoto2_support}
BuildRequires:	gphoto2-devel
%endif
%if %{v4l_support}
BuildRequires:	libv4l-devel
%endif
%if %{epkowa_support}
BuildRequires:	autoconf
%endif
# ensure resmgr is not pulled
BuildConflicts:	resmgr-devel
# pixma backend generates header files during build via python script
BuildRequires:	python3


%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n	%{libname}
Group:		System/Libraries
License:	LGPL
Summary:	SANE - local and remote scanner access. This package contains the sane library
Provides:	libsane = %{version}-%{release}

%description -n	%{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n	%{libname_devel}
Group:		Development/Libraries
License:	LGPL
Summary:	SANE - local and remote scanner access
Requires:	%{libname} = %{version}
Provides:	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes:	sane-devel

%description -n	%{libname_devel}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package	backends
Group:		Graphics
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	%{name} = %{version}-%{release}
Requires(pre,postun):	rpm-helper
%if %{epkowa_support}
Suggests:	iscan
%endif

%description	backends
New with 1.2.1 (released 2023-02-05)
Backends
avision:
Minor fix for protocol packet length.
Added “basic” support for Avision AD345F. Note that multi-sheet scanning is
problematic.
Fix for 32-bit limitation on scan line size which caused early abort of scan.
Fix for minimum resolution for devices with AV_ASIC_C6.
Various small logic errors addressed.
canon: Use the common model name instead of string from the device.
canon_lide70: Some small corrections to option support.
canon_pp: Potential buffer overrun issue addressed.
canon-dr: Added support for lifecycle counters for dr-x10c scanners.
epjitsu: Hang fix for Scansnap S1300i.
epsonds: Added support for Epson XP-2200 Series devices.
escl:
Fixes related to support for HP M277dw.
Fix for Canon TS-3400 series resolution support.
Added support for Epson EcoTank L3160.
Fix for segfault crash.
Performance and memory use enhancements through the use of memory-mapped I/O.
Fix for TIFF file type generation failure.
IPv6 detection improvements.
fujitsu:
Contrast/brightness fixes for Fujitsu ix500.
Support confirmed for Fujitsu fi-7300NX.
Support added for ScanSnap ix1400.
Added support for ScanPartner SP30.
genesys:
Fixes for unit test build errors related to GCC 12.
Fix for 32-bit limitation on scan line size which caused early abort. of scan.
Build issue fix for OSX.
Button support for Canon 8400f scanner corrected.
Support added back in for Plustek OpticFilm 7600i: config file entry was missing.
kvs40xx: Compiler warnings fixed.
mustek_usb2: Compiler warnings fixed.
pixma:
Fix for Canon TS-3400 series resolution support.
Button support for Canon MG5700 series corrected.
Added support for Canon imageRUNNER 1018/1022/1023.
Added support for Canon PIXMA TS2400 Series.
Added support for Canon PIXMA TS2600 Series.
Testing confirmed for Canon TS6400 series devices.
Testing confirmed for Canon TS3400 series devices.
Various devices’ max resolutions fixed.
Minor fix for broadcast buffer size error.
plustek_pp: Support removed for deprecated Linux kernel driver build.
test: Fix for 32-bit limitation on scan line size which caused early abort of
scan.
xerox_mfp:
JPEG support fix for Samsung SCX-4828 FN and similar.
JPEG support fix for Samsung SCX-4824 FN and similar.
Frontends
sane-find-scanner: Alteration to output to indicate that indicated devices
are potentially scanners.
saned: Fix for poll.h header file, which caused problems on Alpine Linux.
scanimage:
Attempts to set readonly options will give a warning about readonly option set
attempt now, instead of the misleading "unknown option" error.
Header file build fixes for FreeBSD.
Fix for backends presenting NULL attributes in deactivated options.

Miscellaneous

Updated translation to Russian, Italian, British English and Ukraine.
Compiler warnings addressed for a number of backends.
A number of fixes for the build system:

Fix to ignore LDFLAGS environment variable in build.
Fix to not build umax_pp tool when disabled.
Fix for CLANG compiler warnings.
Various small improvements to dependency checking and CI builds.
General corrections for backends’ use of mkstemp() function.
Added support for autotools’ silent build option.
Remove –with-group configure option, since it is no longer used.
Autotools fixes for backend library installation.


SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.
This package contains the backends for different scanners.

%if %{epkowa_support}
%package	backends-iscan
Group:		Graphics
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	iscan = %{iscanversion}
Conflicts:	sane-backends < 1.0.19-3
Conflicts:	%{libname} < 1.0.19-5
Conflicts:	%{libname_devel} < 1.0.20-7

%description	backends-iscan
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the iscan backend, in order to not conflict with
manufacturer-supplied packages.
%endif

%package	backends-doc
Summary:	Documentation for SANE backends
Group:		Documentation


%description	backends-doc
This package contains the SANE backend documentation for different
scanners.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

%package -n	saned
Group:		Graphics
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	saned = %{version}-%{release}
Requires:	sane-backends
Requires:	xinetd
Requires(pre,post,preun,postun):	rpm-helper

%description -n	saned
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

%prep
%setup -q -n sane-backends-%{version}%{beta}
%patch1 -p1 -b .plusteks12
%patch28 -p1 -b .group
%patch30 -p1 -b .brother2list
%patch31 -p1 -b .strformat
%patch35 -p1 -b .lp-group-rw

%patch101 -p1
%patch106 -p1
####%patch115 -p1

# Fedora patches
####%patch202 -p1 -b .open-macro
%patch203 -p1 -b .udev
%patch301 -p1 -b .soname
%patch302 -p1 -b .sane-config-multilib

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}
%patch34 -p1
%endif

# "primascan" backend 
cat %{SOURCE11} > backend/primascan.h
cat %{SOURCE12} > backend/primascan.c
echo '#primascan' >> backend/dll.conf.in

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
%setup -q -T -D -a 13 -n sane-backends-%{version}%{beta}
%endif

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure
perl -pi -e "s@/lib/@/%_lib/@" primaxscan*/configure

# Reduce number of retries done by the "snapscan" backend when accessing
# the scanner
perl -p -i -e 's:for \(retries = 20; retries; retries--\):for (retries = 5; retries; retries--):' backend/snapscan-scsi.c

%if %{epkowa_support}
pushd iscan-%{iscanversion}
%patch22 -p0 -b .fix-preserving-lc_ctype
%patch23 -p0 -b .iscan-2.10.0-1_fix_link
%patch26 -p0 -b .no_non-free_please
%patch27 -p2 -b .linkage_fix
popd
%endif

# Remove the backend/dll.conf file generated by the patches, it prevents
# the Makefile from generating  the real dll.conf file
rm -f backend/dll.conf

%build
autoreconf -vfi
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS "
%configure2_5x \
  --disable-rpath \
%if !%{gphoto2_support}
  --without-gphoto2 \
%endif
  --enable-pthread \
  --enable-locking=yes \
  --enable-avahi \
  --with-group=scanner \
  --with-lockdir=%{_localstatedir}/lock/sane \
  --with-usb \
  --with-v4l \
  --with-snmp \
  --with-libcurl \
  --with-poppler-glib \
  --with-systemd=no 

%make_build

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
pushd primaxscan*
PATH=`pwd`/../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -fPIC -I`pwd`/../include -L`pwd`/../backend/.libs/"\
%configure2_5x
%make_build
%make_build primax_scan
popd
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
chmod a+rx tools/sane-config
PATH=`pwd`/tools:${PATH}
pushd iscan-%{iscanversion}
cp -f /usr/share/aclocal/libtool.m4 m4/.
autoreconf -fi
export CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC -I/usr/include/libusb-1.0/"
export CXXFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC -I/usr/include/libusb-1.0/"
export LDFLAGS="%{?ldflags} -lusb-1.0"
%configure2_5x --disable-frontend
%make_build
popd
%endif

%install
rm -rf %buildroot
%makeinstall_std

# Create missing lock dir
install -d %{buildroot}/var/lib/lock/sane

perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

# Comment out entry for the "geniusvp2" backend in
# /etc/sane.d/dll.conf as it makes SANE hanging on some systems when
# the appropriate scanner is not present
perl -p -i -e 's/^(\s*geniusvp2)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove "hpoj" line from /etc/sane.d/dll.con
perl -p -i -e 's/HP\s+OfficeJet/HPLIP/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj.sf.net/hplip.sf.net/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj/hpaio/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv %{buildroot}%{_sysconfdir}/sane.d/dll.conf %{buildroot}%{_sysconfdir}/sane.d/dll.conf.orig
cat > %{buildroot}%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Move specific documentation to sane-backends-doc
install -d %{buildroot}%{_docdir}/sane-backends-doc/
pushd %{buildroot}%{_docdir}/sane-backends
mv `find -mindepth 1 -type d` *.html *.txt %{buildroot}%{_docdir}/sane-backends-doc/
popd

# Primax parallel port scanners
%if %{primax_support}
pushd primaxscan*
%make_install
rm -f %{buildroot}%{_libdir}/sane/libsane-primax.a
cp primax_scan %{buildroot}%{_bindir}
popd
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
pushd iscan-%{iscanversion}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.a
rm -f %{buildroot}%{_mandir}/man1/iscan.1*
rm -rf %{buildroot}%{_libdir}/iscan
cp backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
# Create the file which enable epkowa backend instead of modifying dll.conf
echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.d/epkowa.backend
# ### old ### echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.conf
popd
%endif

# Xinetd.d entry
mkdir %{buildroot}/etc/xinetd.d
cat %{SOURCE5} > %{buildroot}/etc/xinetd.d/saned

# udev rules for libusb user support
mkdir -p %{buildroot}/lib/udev/rules.d
install -m644 tools/udev/libsane.rules %{buildroot}/lib/udev/rules.d/60-libsane.rules
# Shorten too long comments
perl -p -i -e 's/(\#.{500}).*$/$1 .../' %{buildroot}/lib/udev/rules.d/60-libsane.rules

# enable eSCL backend on update even if dll.conf is not replaced
# which is the case if it's modified (e.g. if you install hplip)
echo -e '#this file enable eSCL backend\nescl' > %{buildroot}%{_sysconfdir}/sane.d/dll.d/escl.backend

%find_lang sane-backends
%if %{epkowa_support}
%find_lang iscan
%endif

sed -i '/^%dir/d' sane-backends.lang
%if %{epkowa_support}
sed -i '/^%dir/d' iscan.lang
%endif

find %{buildroot} -name '*.la' | xargs rm

%post -n saned
%_post_service saned


%pre -n saned
# Add saned to group scanner, cdwriter and usb for scanner access.
/usr/sbin/useradd -r -M -s /bin/false -d /etc/sane.d -c "system user for saned" saned -G cdwriter,usb,scanner || :
#%_pre_useradd saned /etc/sane.d /bin/false

%preun -n saned
%_preun_service saned

%postun -n saned
%_postun_userdel saned

%pre backends
%_pre_groupadd scanner

%postun backends
%_postun_groupdel scanner

%posttrans -n saned
#make sure this isnt commented out or epson scanners wont work
perl -pi -e "s|#epson|epson|" /etc/sane.d/dll.conf
perl -pi -e "s|epson2|#epson2|" /etc/sane.d/dll.conf


%files backends -f sane-backends.lang
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%{_bindir}/umax_pp
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
%dir %{_sysconfdir}/sane.d/dll.d
%config(noreplace) %{_sysconfdir}/sane.d/*
/lib/udev/rules.d/*-libsane.rules
%attr(1777,root,root) %dir /var/lib/lock/sane
%if %{epkowa_support}
# iscan files
%exclude %{_sysconfdir}/sane.d/epkowa.conf
%exclude %{_mandir}/man5/sane-epkowa.5*
%endif

%if %{epkowa_support}
%files backends-iscan
%{_libdir}/sane/libsane-epkowa.*
%{_sysconfdir}/sane.d/epkowa.conf
%{_mandir}/man5/sane-epkowa.5*
%{_mandir}/man8/iscan-registry.*
%endif

%files backends-doc
%{_datadir}/doc

%files -n %{libname}
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%if %{epkowa_support}
%exclude %{_libdir}/sane/libsane-epkowa.*
%endif

%files -n %{libname_devel}
%{_bindir}/sane-config
%{_libdir}/*.so
%{_libdir}/sane/*.so
%{_includedir}/sane
%{_libdir}/pkgconfig/sane-backends.pc
%if %{epkowa_support}
%exclude %{_libdir}/sane/libsane-epkowa*
%endif

%files -n saned
%{_sbindir}/*
%{_mandir}/man8/saned*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/saned

%changelog
* Thu Aug 10 2023 onkelho <oh.quait at gmail.com> - 1.2.1-1pclos2023
- new version released 2023-02-05
- disable epkowa - use imagescan/utsushi/ more professional 
- all fixes since releasedate included
- Merge branch 'escl-fix-build' into 'master' ThierryFR authored 5 days ago 

* Sun Apr 07 2019 onkelho <oh.quait at gmail.com> 1.0.27-3pclos2019
- rebuild against April-updates

* Wed Mar 06 2019 onkelho <oh.quait at gmail.com> 1.0.27-2pclos2019
- rebuild
- BR libpng-devel for PNG scanning support
